{
  alwaysAnimate.enable = true;
  alwaysExpandRoles.enable = true;
  blurNsfw.enable = true;
  callTimer = {
    enable = true;
    format = "human";
  };
  crashHandler.enable = true;
  disableCallIdle.enable = true;
  dontRoundMyTimestamps.enable = true;
  fixCodeblockGap.enable = true;
  fixImagesQuality.enable = true;
  fixYoutubeEmbeds.enable = true;
  forceOwnerCrown.enable = true;
  messageLogger = {
    enable = true;
  };
  clientSideBlock = {
    enable = true;
    hideBlockedUsers = true;
    hideBlockedMessages = true;
    hideEmptyRoles = false;
    hideVc = true;
    blockedReplyDisplay = "hideReply";
  };
  serverListIndicators.enable = true;
  showTimeoutDuration.enable = true;
  # silentTyping.enable = true;
  textReplace.enable = true;
  textReplace.regexRules = [
    {
      find = "https?:\\/\\/(www\\.)?instagram\\.com\\/[^\\/]+\\/(p|reel)\\/([A-Za-z0-9-_]+)\\/?";
      replace = "https://g.ddinstagram.com/$2/$3";
    }
    {
      find = "https:\\/\\/x\\.com\\/([^\\/]+\\/status\\/[0-9]+)";
      replace = "https://fixupx.com/$1";
    }
    {
      find = "https:\\/\\/twitter\\.com\\/([^\\/]+\\/status\\/[0-9]+)";
      replace = "https://fixupx.com/$1";
    }
    {
      find = "https:\\/\\/(www\\.|old\\.)?reddit\\.com\\/(r\\/[a-zA-Z0-9_]+\\/comments\\/[a-zA-Z0-9_]+\\/[^\\s]*)";
      replace = "https://vxreddit.com/$2";
    }
    {
      find = "https:\\/\\/(www\\.)?pixiv\\.net\\/(.*)";
      replace = "https://phixiv.net/$2";
    }
    {
      find = "https:\\/\\/(?:www\\.|m\\.)?twitch\\.tv\\/twitch\\/clip\\/(.*)";
      replace = "https://clips.fxtwitch.tv/$1";
    }
    {
      find = "https:\\/\\/(?:www\\.)?youtube\\.com\\/(?:watch\\?v=|shorts\\/)([a-zA-Z0-9_-]+)";
      replace = "https://youtu.be/$1";
    }
  ];
  translate.enable = true;
  typingIndicator.enable = true;
  typingTweaks.enable = true;
  userVoiceShow.enable = true;
  validReply.enable = true;
  validUser.enable = true;
  volumeBooster.enable = true;
  spotifyCrack.enable = true;
}
